export enum ReviewMode {
    GER_TO_LAT,
    LAT_TO_GER,
}

export enum VocabType {
    NOMEN,
    VERB,
    ADJEKTIV,
    ADVERB
}

export interface INomenData {
    grundform: string;
    genitiv: string;
    genus: string;
}

export interface IVerbData {
    grundform: string;
    // 1. Person
    praesens: string;
    perfekt: string;
    // TODO: Was ist das PPP?
}

export interface IAdjektivData {
    grundform: string;
    nominativ_a: string;
    nominativ_b: string;
}

export interface IVocab {
    // If a word has multiple meanings
    german: string[];
    hint?: string;
    mnemonic?: string;

    type: VocabType;
    latin: INomenData | IVerbData | IAdjektivData;

    // This number is lesson specific
    id: number;
};

export const typeToPoints = (VocabType type) => {
    switch (type) {
        // Nomen: 2P + 1 (Wenn richtig)
        // 
    }
}
